Bug 216722 - X-server is unable to start on E7221 with default xorg.conf
Summary: X-server is unable to start on E7221 with default xorg.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Airlie
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 425788
Blocks: RHEL5u2_relnotes
TreeView+ depends on / blocked
 
Reported: 2006-11-21 18:08 UTC by Leonid Kanter
Modified: 2008-05-21 14:40 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-05-21 14:40:16 UTC


Attachments (Terms of Use)
sosreport with complete logs (1.93 MB, application/x-gzip)
2006-11-21 18:08 UTC, Leonid Kanter
no flags Details
xorg.conf from the sosreport (621 bytes, text/plain)
2008-01-23 21:59 UTC, Matěj Cepl
no flags Details
Xorg.0.log from the sosreport (51.57 KB, text/plain)
2008-01-23 21:59 UTC, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Leonid Kanter 2006-11-21 18:08:20 UTC
Description of problem:

X-server is unable to start on E7221 with default xorg.conf because it try to
allocate much more memory than actually available, because monitor reports mode
*Built-in mode "1920x1440".  

Version-Release number of selected component (if applicable):

system-config-display-1.0.45-1

How reproducible:

always

Steps to Reproduce:
1. system-config-display --reconfig --noui
2. start X
  
Actual results:

X server output:
(II) I810(0): Initial framebuffer allocation size: 8640 kByte                   
(EE) I810(0): Failed to allocate framebuffer. Is your VideoRAM set too low ??

Expected results:

X server should work

Additional info:

With this change:
@@ -24,7 +24,8 @@
        Device     "Videocard0"
        DefaultDepth     16
        SubSection "Display"
-               Depth     16
-       EndSubSection
+                       Depth     16
+                        Modes    "1024x768" "800x600" "640x480"
+        EndSubSection
 EndSection

X-server works OK.

Comment 1 Leonid Kanter 2006-11-21 18:08:21 UTC
Created attachment 141802 [details]
sosreport with complete logs

Comment 2 Matěj Cepl 2007-10-31 21:39:08 UTC
Reporter, are you able to reproduce this bug with the released (and upgraded to
the latest updates) RHEL, please?

Comment 3 Matěj Cepl 2008-01-17 14:55:45 UTC
Reporter, could you please reply to the previous question?

Comment 4 Leonid Kanter 2008-01-17 16:33:18 UTC
With latest updates, I'm unable to use i810 driver at all. It always trying to
allocate more memory than available, even if video mode is manually set to
1024x768 16bpp. Only vesa driver works. system-config-display-1.0.48,
xorg-x11-drv-i810 1.6.5-9.6. This card shoud be removed from list of supported
by i810 driver cards. I you comment out the line with this device (258A) in
i810.xinf, system-config-display create configuration for vesa driver and X works.

Comment 5 Adam Jackson 2008-01-23 21:56:52 UTC
Adding to 5.3 radar.

Comment 6 Matěj Cepl 2008-01-23 21:59:04 UTC
Created attachment 292700 [details]
xorg.conf from the sosreport

Comment 7 Matěj Cepl 2008-01-23 21:59:14 UTC
Created attachment 292701 [details]
Xorg.0.log from the sosreport

Comment 8 Matěj Cepl 2008-01-23 22:08:40 UTC
For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket, or
alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1 to speak
directly with a support associate and escalate an issue.

Comment 9 Dave Airlie 2008-01-24 00:51:48 UTC
okay this is just a pciid addition from what I can see, I've send a patch to the
kernel list.

Comment 11 RHEL Product and Program Management 2008-01-24 01:36:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 Don Zickus 2008-01-25 18:24:43 UTC
in 2.6.18-75.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 15 Don Domingo 2008-02-07 01:51:30 UTC
added to RHEL5.2 release notes under "Kernel-Related Updates":

<quote>
Added the necessary PCI IDs to support Intel E7221 Graphic Controller.
</quote>

please advise if any further revisions are required. thanks!

Comment 16 Don Domingo 2008-04-02 02:13:09 UTC
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don

Comment 18 errata-xmlrpc 2008-05-21 14:40:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.